Package org.apache.solr.client.solrj.request.beans

# Class PackagePayload.DelVersion

java.lang.Object
org.apache.solr.client.solrj.request.beans.PackagePayload.DelVersion

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`, `org.noggit.JSONWriter.Writable`

Enclosing class:
  `PackagePayload`

public static class PackagePayload.DelVersion extends Object implements ReflectMapWriter

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`pkg`
`String`
`version`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`DelVersion()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

## Field Details

### pkg

public String pkg

### version

public String version

## Constructor Details

### DelVersion

public DelVersion()